source $stdenv/setup

# Copy files to a mutable directory.
cp -r $src/* .

# Hugo can't set baseUrl via CLI for multi-lingual hosts.
# We have to manually edit the configuration.
sed -i "$urlSub" config.toml

# Run the submodule command in the source .git
# repo, amending the config.
cwdir=$(pwd)
cd $src
ruby $submodules >> $cwdir/config.toml
cd $cwdir

# Build site with Hugo
hugo $extraFlags

# Output result
mkdir $out
cp -r public/$publicPath/* $out/

# Render math in HTML and XML files.
node $server &
sleep 1
find $out/ -regex "$out/.*\.html" | xargs ruby $converter
